aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorkaotisk <kaotisk@arching-kaos.org>2023-08-20 20:53:09 +0300
committerkaotisk <kaotisk@arching-kaos.org>2023-08-20 20:53:09 +0300
commitfeb828c6ca4af1708c4c204a86150f37ca3eaa0e (patch)
tree1b7631ff35c80d5043a5d13eaaa78b1d50d96d65 /bin
parent0bd4af9936319a0ac122f2dbb61949aa01bf698d (diff)
downloadarching-kaos-tools-feb828c6ca4af1708c4c204a86150f37ca3eaa0e.tar.gz
arching-kaos-tools-feb828c6ca4af1708c4c204a86150f37ca3eaa0e.tar.bz2
arching-kaos-tools-feb828c6ca4af1708c4c204a86150f37ca3eaa0e.zip
Fixed bug when ak-config key was not initially created
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ak-config5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/ak-config b/bin/ak-config
index bc55b8e..889c42b 100755
--- a/bin/ak-config
+++ b/bin/ak-config
@@ -28,6 +28,11 @@ show(){
publish(){
show | jq -M > tmpfile
+ ipfs key list | grep ak-config 2> /dev/null 1>&2
+ if [ "$?" -ne 0 ]
+ then
+ ipfs key gen ak-config
+ fi
ak-ipfs-name-publish --key=ak-config /ipfs/$(ak-ipfs-add tmpfile)
if [ "$?" != 0 ]
then